type Argv = {
    [x: string]: unknown;
    _: (string | number)[];
    $0: string;
};
/**
 * Get the arguments.
 * @returns The arguments.
 * @example
 * ```
 * const args = argv()
 * console.log(args)
 * ```
 */
declare const argv: <T extends Record<string, unknown>>() => T & Argv;
export { argv as default };
