'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var copy = require('./copy.js');
var echo = require('./echo.js');
var glob = require('./glob.js');
var wrapList = require('./wrapList.js');
require('fs-extra');
require('./getBasename.js');
require('./getName.js');
require('path');
require('./getDirname.js');
require('./getExtname.js');
require('./getFilename.js');
require('./isAsyncFunction.js');
require('./isFunction.js');
require('./normalizePath.js');
require('./trimEnd-BzcVuRxk.js');
require('./home.js');
require('os');
require('./root.js');
require('./run.js');
require('kleur');
require('./toString.js');
require('./getType.js');
require('fast-glob');
require('./toArray.js');

// function
/**
 * Backup files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await backup('file.txt')
 * await backup(['file1.txt', 'file2.txt'])
 * ```
 */
const backup = async (source) => {
    const listSource = await glob.default(source);
    for (const src of listSource) {
        await copy.default(src, '', filename => `${filename}.bak`);
    }
    echo.default('backup', `backed up ${wrapList.default(source)}`);
};

exports.default = backup;
