'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var getDirname = require('./getDirname.js');
var glob = require('./glob.js');
var remove = require('./remove.js');
require('./getName.js');
require('path');
require('fast-glob');
require('./normalizePath.js');
require('./trimEnd-BzcVuRxk.js');
require('./home.js');
require('os');
require('./root.js');
require('./toArray.js');
require('fs-extra');
require('./echo.js');
require('kleur');
require('./toString.js');
require('./getType.js');
require('./wrapList.js');

// function
/**
 * Clean files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await clean('file.txt')
 * await clean(['file1.txt', 'file2.txt'])
 * ```
 */
const clean = async (source) => {
    const listSource = await glob.default(source, { onlyFiles: false });
    await remove.default(source);
    const dirname = getDirname.default(listSource[0]);
    if ((await glob.default(`${dirname}/**/*`)).length)
        return;
    await remove.default(dirname);
};

exports.default = clean;
