/**
 * Get the value at the specified index or key.
 * @param input - The input.
 * @param key - The index or key.
 * @returns The value at the specified index or key.
 * @example
 * ```
 * const array = [1, 2, 3]
 * console.log(at(array, 1))
 * //=> 2
 * console.log(at(array, -1))
 * //=> 3
 * console.log(at(array, 3))
 * //=> undefined
 *
 * const object = { a: 1, b: 2, c: 3 }
 * console.log(at(object, 'b'))
 * //=> 2
 * console.log(at(object, 'd'))
 * //=> undefined
 * ```
 */
declare const at: <T>(input: T[] | Record<string, T>, key: number | string) => T | undefined;
export { at as default };
