import copy from './copy.js';
import echo from './echo.js';
import main from './glob.js';
import wrapList from './wrapList.js';
import 'fs-extra';
import './getBasename.js';
import './getName.js';
import 'path';
import './getDirname.js';
import './getExtname.js';
import './getFilename.js';
import './isAsyncFunction.js';
import './isFunction.js';
import './normalizePath.js';
import './trimEnd-DGu8GQJm.js';
import './home.js';
import 'os';
import './root.js';
import './run.js';
import 'kleur';
import './toString.js';
import './getType.js';
import 'fast-glob';
import './toArray.js';

// function
/**
 * Backup files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await backup('file.txt')
 * await backup(['file1.txt', 'file2.txt'])
 * ```
 */
const backup = async (source) => {
    const listSource = await main(source);
    for (const src of listSource) {
        await copy(src, '', filename => `${filename}.bak`);
    }
    echo('backup', `backed up ${wrapList(source)}`);
};

export { backup as default };
