import getDirname from './getDirname.js';
import main from './glob.js';
import remove from './remove.js';
import './getName.js';
import 'path';
import 'fast-glob';
import './normalizePath.js';
import './trimEnd-DGu8GQJm.js';
import './home.js';
import 'os';
import './root.js';
import './toArray.js';
import 'fs-extra';
import './echo.js';
import 'kleur';
import './toString.js';
import './getType.js';
import './wrapList.js';

// function
/**
 * Clean files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await clean('file.txt')
 * await clean(['file1.txt', 'file2.txt'])
 * ```
 */
const clean = async (source) => {
    const listSource = await main(source, { onlyFiles: false });
    await remove(source);
    const dirname = getDirname(listSource[0]);
    if ((await main(`${dirname}/**/*`)).length)
        return;
    await remove(dirname);
};

export { clean as default };
