type Option = {
    silent?: boolean;
};
type Result = [number, string, string[]];
/**
 * Execute the command.
 * @param cmd The command.
 * @param option The option.
 * @returns The result.
 * @example
 * ```
 * const [code, last, all] = await exec('echo "Hello, world!"')
 * ```
 */
declare const exec: (cmd: string | string[], option?: Option) => Promise<Result>;
export { exec as default };
