import glob from 'fast-glob';
import normalizePath from './normalizePath.js';
import toArray from './toArray.js';
import 'path';
import './trimEnd-DGu8GQJm.js';
import './home.js';
import 'os';
import './root.js';

// functions
const isListedAsSource = (input) => input instanceof Array &&
    input.__is_listed_as_source__;
/**
 * List files or directories.
 * @param input - The input.
 * @param options - The options.
 * @returns The list source.
 * @example
 * ```
 * const list = await glob('*.txt')
 * console.log(list)
 * //=> ['a.txt', 'b.txt']
 * ```
 */
const main = async (input, options) => {
    if (isListedAsSource(input))
        return input;
    const result = (await glob(toArray(input).map(normalizePath), {
        absolute: true,
        suppressErrors: true,
        ...options,
    }));
    result.__is_listed_as_source__ = true;
    return result;
};

export { main as default };
