/**
 * Check if the input is an array.
 * @param input The input.
 * @returns The assertion result.
 * @example
 * ```
 * isArray([1, 2, 3])
 * //=> true
 * isArray('hello')
 * //=> false
 * ```
 */
declare const isArray: <T extends unknown[]>(input: unknown) => input is T;
export { isArray as default };
