/**
 * Check if the input is an object.
 * @param input The input.
 * @returns The assertion result.
 * @example
 * ```
 * isObject({ key: 'value' })
 * //=> true
 * isObject('hello')
 * //=> false
 * ```
 */
declare const isObject: <T extends Record<string, unknown>>(input: unknown) => input is T;
export { isObject as default };
