import fse from 'fs-extra';
import echo from './echo.js';
import normalizePath from './normalizePath.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './toString.js';
import './getType.js';
import 'path';
import './trimEnd-DGu8GQJm.js';

// function
/**
 * Create a symbolic link.
 * @param source A source file or directory.
 * @param target A target file or directory.
 * @returns The promise.
 * @example
 * ```
 * await link('file.txt', 'link.txt')
 * ```
 */
const link = async (source, target) => {
    const _source = normalizePath(source);
    const _target = normalizePath(target);
    await fse.ensureSymlink(_source, _target);
    echo('file', `linked '${source}' to '${target}'`);
};

export { link as default };
