import fse from 'fs-extra';
import echo from './echo.js';
import normalizePath from './normalizePath.js';
import toArray from './toArray.js';
import wrapList from './wrapList.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './toString.js';
import './getType.js';
import 'path';
import './trimEnd-DGu8GQJm.js';

// function
/**
 * Create directories.
 * @param source The source directories.
 * @returns The promise.
 * @example
 * ```
 * await mkdir('dir')
 * await mkdir(['dir1', 'dir2'])
 * ```
 */
const mkdir = async (source) => {
    if (!source)
        throw new Error('mkdir/error: empty source');
    const listSource = toArray(source).map(normalizePath);
    for (const src of listSource) {
        await fse.ensureDir(src);
    }
    echo('file', `created ${wrapList(source)}`);
};

export { mkdir as default };
