import copy from './copy.js';
import remove from './remove.js';
import 'fs-extra';
import './echo.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './toString.js';
import './getType.js';
import './getBasename.js';
import './getName.js';
import 'path';
import './getDirname.js';
import './getExtname.js';
import './getFilename.js';
import './glob.js';
import 'fast-glob';
import './normalizePath.js';
import './trimEnd-DGu8GQJm.js';
import './toArray.js';
import './isAsyncFunction.js';
import './isFunction.js';
import './wrapList.js';
import './run.js';

// function
/**
 * Move files or directories.
 * @param source A source file or directory.
 * @param target A target directory.
 * @returns The promise.
 * @example
 * ```
 * await move('file.txt', 'backup')
 * await move(['file1.txt', 'file2.txt'], 'backup')
 * await move('file.txt', name => `backup/${name}`)
 * ```
 */
const move = async (source, target) => {
    await copy(source, target);
    await remove(source);
};

export { move as default };
