import echo from './echo.js';
import main$1 from './glob.js';
import read from './read.js';
import remove from './remove.js';
import toArray from './toArray.js';
import wrapList from './wrapList.js';
import write from './write.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './toString.js';
import './getType.js';
import 'fast-glob';
import './normalizePath.js';
import 'path';
import './trimEnd-DGu8GQJm.js';
import 'fs';
import './getExtname.js';
import './getName.js';
import './toJSON.js';
import 'lodash';
import './isArray.js';
import 'fs-extra';

// functions
/**
 * Recover files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await recover('file.txt')
 * await recover(['file1.txt', 'file2.txt'])
 * ```
 */
const main = async (source) => {
    const listSource = await main$1(toArray(source).map(src => `${src}.bak`));
    for (const src of listSource) {
        await recover(src);
    }
    echo('recover', `recovered ${wrapList(source)}`);
};
const recover = async (source) => {
    const content = await read(source);
    await write(source.replace('.bak', ''), content);
    await remove(source);
};

export { main as default };
