import fse from 'fs-extra';
import echo from './echo.js';
import main from './glob.js';
import wrapList from './wrapList.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './toString.js';
import './getType.js';
import 'fast-glob';
import './normalizePath.js';
import 'path';
import './trimEnd-DGu8GQJm.js';
import './toArray.js';

// function
/**
 * Remove files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await remove('file.txt')
 * await remove(['file1.txt', 'file2.txt'])
 * ```
 */
const remove = async (source) => {
    const listSource = await main(source, { onlyFiles: false });
    for (const src of listSource) {
        await fse.remove(src);
    }
    echo('remove', `removed ${wrapList(source)}`);
};

export { remove as default };
