import fs from 'fs';
import echo from './echo.js';
import getDirname from './getDirname.js';
import normalizePath from './normalizePath.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './toString.js';
import './getType.js';
import './getName.js';
import 'path';
import './trimEnd-DGu8GQJm.js';

// function
/**
 * Rename a file or directory.
 * @param source A source file or directory.
 * @param target A target file or directory.
 * @returns The promise.
 * @example
 * ```
 * await rename('file.txt', 'file.bak')
 * ```
 */
const rename = async (source, target) => {
    const src = normalizePath(source);
    await new Promise(resolve => fs.rename(src, `${getDirname(src)}/${target}`, resolve));
    echo('file', `renamed '${source}' as '${target}'`);
};

export { rename as default };
