import fs from 'fs';
import echo from './echo.js';
import { i as isExist } from './isExist-CPc5sQmt.js';
import normalizePath from './normalizePath.js';
import wrapList from './wrapList.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './toString.js';
import './getType.js';
import 'fs-extra';
import './trimEnd-DGu8GQJm.js';
import './isArguments-QSN3fPWr.js';
import 'path';
import './toArray.js';

// function
/**
 * Get the file status.
 * @param source A source file or directory.
 * @returns The promise with the file status.
 * @example
 * ```
 * await stat('file.txt')
 * ```
 */
const stat = async (source) => {
    const _source = normalizePath(source);
    if (!(await isExist(_source))) {
        echo('file', `${wrapList(_source)} not existed`);
        return null;
    }
    return new Promise(resolve => {
        fs.stat(_source, (err, stat) => {
            if (err)
                throw err;
            resolve(stat);
        });
    });
};

export { stat as default };
