/**
 * Convert input to string.
 * @param input The input.
 * @returns The string.
 * @example
 * ```
 * toString({ key: 'value' })
 * //=> '{"key":"value"}'
 * toString([1, 2, 3])
 * //=> '[1,2,3]'
 * toString('hello')
 * //=> 'hello'
 * ```
 */
declare const toString: <R extends string>(input: unknown) => R;
export { toString as default };
