type Options = {
    debounce?: number;
};
/**
 * Watch the file or directory.
 * @param listSource The file or directory to watch.
 * @param callback The callback to execute.
 * @param options The options.
 * @example
 * ```
 * watch('src', path => {
 *   console.log(path)
 * })
 * ```
 */
declare const watch: (listSource: string | string[], callback: (path: string) => void, options?: Options) => void;
export { watch as default };
