import fse from 'fs-extra';
import echo from './echo.js';
import normalizePath from './normalizePath.js';
import toString from './toString.js';
import wrapList from './wrapList.js';
import 'kleur';
import './home.js';
import 'os';
import './root.js';
import './getType.js';
import 'path';
import './trimEnd-DGu8GQJm.js';
import './toArray.js';

// function
/**
 * Write the content to the file.
 * @param source The source file.
 * @param content The content to write.
 * @param options The options.
 * @example
 * ```
 * write('file.txt', 'content')
 * ```
 */
const write = async (source, content, options) => {
    await fse.outputFile(normalizePath(source), toString(content), options);
    echo('file', `wrote ${wrapList(source)}`);
};

export { write as default };
