'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var path = require('path');

// function
/**
 * Get name from path
 * @param input string
 * @returns object
 * @example
 * ```
 * const name = getName('./src/file.txt')
 * //=> { basename: 'file', dirname: 'src', extname: '.txt', filename: 'file.txt' }
 * ```
 */
const getName = (input) => {
    if (!input)
        throw new Error(`getName/error: empty input`);
    const ipt = input.replace(/\\/g, '/');
    const extname = path.extname(ipt);
    const basename = path.basename(ipt, extname);
    const dirname = path.dirname(ipt);
    const filename = `${basename}${extname}`;
    return { basename, dirname, extname, filename };
};

exports.default = getName;
