import { Options } from 'fast-glob';
type ListSource = string[] & {
    __is_listed_as_source__: true;
};
/**
 * List files or directories.
 * @param input - The input.
 * @param options - The options.
 * @returns The list source.
 * @example
 * ```
 * const list = await glob('*.txt')
 * console.log(list)
 * //=> ['a.txt', 'b.txt']
 * ```
 */
declare const main: (input: string | string[] | ListSource, options?: Options) => Promise<ListSource>;
export { main as default };
