'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var glob = require('fast-glob');
var normalizePath = require('./normalizePath.js');
var toArray = require('./toArray.js');
require('path');
require('./trimEnd-BzcVuRxk.js');
require('./home.js');
require('os');
require('./root.js');

// functions
const isListedAsSource = (input) => input instanceof Array &&
    input.__is_listed_as_source__;
/**
 * List files or directories.
 * @param input - The input.
 * @param options - The options.
 * @returns The list source.
 * @example
 * ```
 * const list = await glob('*.txt')
 * console.log(list)
 * //=> ['a.txt', 'b.txt']
 * ```
 */
const main = async (input, options) => {
    if (isListedAsSource(input))
        return input;
    const result = (await glob(toArray.default(input).map(normalizePath.default), {
        absolute: true,
        suppressErrors: true,
        ...options,
    }));
    result.__is_listed_as_source__ = true;
    return result;
};

exports.default = main;
