/**
 * Check if the input is an async function.
 *
 * @param input The value to check.
 * @returns Returns the result of the check.
 * @example
 * ```
 * const isAsync = isAsyncFunction(async () => {})
 * //=> true
 * ```
 */
declare const isAsyncFunction: <T extends (...args: unknown[]) => Promise<unknown>>(input: unknown) => input is T;
export { isAsyncFunction as default };
