'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var isFunction = require('./isFunction.js');

// function
/**
 * Check if the input is an async function.
 *
 * @param input The value to check.
 * @returns Returns the result of the check.
 * @example
 * ```
 * const isAsync = isAsyncFunction(async () => {})
 * //=> true
 * ```
 */
const isAsyncFunction = (input) => {
    if (!isFunction.default(input))
        return false;
    const type = Object.prototype.toString
        .call(input)
        .replace(/^\[object (.+)\]$/, '$1')
        .toLowerCase();
    return type === 'asyncfunction';
};

exports.default = isAsyncFunction;
