'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

// function
/**
 * Check if the input is an object.
 * @param input The input.
 * @returns The assertion result.
 * @example
 * ```
 * isObject({ key: 'value' })
 * //=> true
 * isObject('hello')
 * //=> false
 * ```
 */
const isObject = (input) => typeof input === 'object' && input !== null && !Array.isArray(input);

exports.default = isObject;
