'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var isExist = require('./isExist-CovHCWU1.js');
var echo = require('./echo.js');
var normalizePath = require('./normalizePath.js');
var read = require('./read.js');
var stat = require('./stat.js');
var toString = require('./toString.js');
require('fs-extra');
require('./trimEnd-BzcVuRxk.js');
require('./isArguments-Bc7ye9gd.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./getType.js');
require('path');
require('fs');
require('./getExtname.js');
require('./getName.js');
require('./glob.js');
require('fast-glob');
require('./toArray.js');
require('./toJSON.js');
require('lodash');
require('./isArray.js');
require('./wrapList.js');

// function
/**
 * Check if the content of the paths are the same.
 * @param args The paths.
 * @returns `true` if the content of the paths are the same, or `false` otherwise.
 * @example
 * ```
 * await isSame('file1.txt', 'file2.txt')
 * ```
 */
const isSame = async (...args) => {
    const group = isExist.flatten(args).map(normalizePath.default);
    if (group.length < 2)
        return false;
    // size
    let cacheSize = 0;
    for (const source of group) {
        const stats = await stat.default(source);
        if (!stats)
            return false;
        const { size } = stats;
        if (!cacheSize) {
            cacheSize = size;
            continue;
        }
        if (size !== cacheSize)
            return false;
    }
    // content
    let cacheCont = '';
    for (const source of group) {
        let cont = await echo.default.whisper(read.default(source));
        if (!cont)
            return false;
        cont = toString.default(cont);
        if (!cacheCont) {
            cacheCont = cont;
            continue;
        }
        if (cont !== cacheCont)
            return false;
    }
    return true;
};

exports.default = isSame;
