'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fse = require('fs-extra');
var echo = require('./echo.js');
var normalizePath = require('./normalizePath.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');
require('path');
require('./trimEnd-BzcVuRxk.js');

// function
/**
 * Create a symbolic link.
 * @param source A source file or directory.
 * @param target A target file or directory.
 * @returns The promise.
 * @example
 * ```
 * await link('file.txt', 'link.txt')
 * ```
 */
const link = async (source, target) => {
    const _source = normalizePath.default(source);
    const _target = normalizePath.default(target);
    await fse.ensureSymlink(_source, _target);
    echo.default('file', `linked '${source}' to '${target}'`);
};

exports.default = link;
