'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fse = require('fs-extra');
var echo = require('./echo.js');
var normalizePath = require('./normalizePath.js');
var toArray = require('./toArray.js');
var wrapList = require('./wrapList.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');
require('path');
require('./trimEnd-BzcVuRxk.js');

// function
/**
 * Create directories.
 * @param source The source directories.
 * @returns The promise.
 * @example
 * ```
 * await mkdir('dir')
 * await mkdir(['dir1', 'dir2'])
 * ```
 */
const mkdir = async (source) => {
    if (!source)
        throw new Error('mkdir/error: empty source');
    const listSource = toArray.default(source).map(normalizePath.default);
    for (const src of listSource) {
        await fse.ensureDir(src);
    }
    echo.default('file', `created ${wrapList.default(source)}`);
};

exports.default = mkdir;
