'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var copy = require('./copy.js');
var remove = require('./remove.js');
require('fs-extra');
require('./echo.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');
require('./getBasename.js');
require('./getName.js');
require('path');
require('./getDirname.js');
require('./getExtname.js');
require('./getFilename.js');
require('./glob.js');
require('fast-glob');
require('./normalizePath.js');
require('./trimEnd-BzcVuRxk.js');
require('./toArray.js');
require('./isAsyncFunction.js');
require('./isFunction.js');
require('./wrapList.js');
require('./run.js');

// function
/**
 * Move files or directories.
 * @param source A source file or directory.
 * @param target A target directory.
 * @returns The promise.
 * @example
 * ```
 * await move('file.txt', 'backup')
 * await move(['file1.txt', 'file2.txt'], 'backup')
 * await move('file.txt', name => `backup/${name}`)
 * ```
 */
const move = async (source, target) => {
    await copy.default(source, target);
    await remove.default(source);
};

exports.default = move;
