/// <reference types="node" />
type ItemExtObject = (typeof listExtObject)[number];
type ItemExtString = (typeof listExtString)[number];
type Result<T, S extends string, R extends boolean> = T extends undefined ? R extends true ? Buffer : S extends `${string}${ItemExtString}` ? string : S extends `${string}${ItemExtObject}` ? Record<string, unknown> : Buffer : T;
declare const listExtString: readonly [".coffee", ".css", ".html", ".js", ".md", ".pug", ".sh", ".styl", ".ts", ".tsx", ".txt", ".xml"];
declare const listExtObject: readonly [".json", ".yaml", ".yml"];
/**
 * Read a file.
 * @param source The source file.
 * @param option The option.
 * @returns The promise.
 * @example
 * ```
 * const content = await read('file.txt')
 * ```
 */
declare const read: <T = undefined, S extends string = string, R extends boolean = false>(source: S, option?: {
    raw?: R;
}) => Promise<Result<T, S, R> | undefined>;
export { read as default };
