'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var echo = require('./echo.js');
var glob = require('./glob.js');
var read = require('./read.js');
var remove = require('./remove.js');
var toArray = require('./toArray.js');
var wrapList = require('./wrapList.js');
var write = require('./write.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');
require('fast-glob');
require('./normalizePath.js');
require('path');
require('./trimEnd-BzcVuRxk.js');
require('fs');
require('./getExtname.js');
require('./getName.js');
require('./toJSON.js');
require('lodash');
require('./isArray.js');
require('fs-extra');

// functions
/**
 * Recover files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await recover('file.txt')
 * await recover(['file1.txt', 'file2.txt'])
 * ```
 */
const main = async (source) => {
    const listSource = await glob.default(toArray.default(source).map(src => `${src}.bak`));
    for (const src of listSource) {
        await recover(src);
    }
    echo.default('recover', `recovered ${wrapList.default(source)}`);
};
const recover = async (source) => {
    const content = await read.default(source);
    await write.default(source.replace('.bak', ''), content);
    await remove.default(source);
};

exports.default = main;
