'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fse = require('fs-extra');
var echo = require('./echo.js');
var glob = require('./glob.js');
var wrapList = require('./wrapList.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');
require('fast-glob');
require('./normalizePath.js');
require('path');
require('./trimEnd-BzcVuRxk.js');
require('./toArray.js');

// function
/**
 * Remove files or directories.
 * @param source A source file or directory.
 * @returns The promise.
 * @example
 * ```
 * await remove('file.txt')
 * await remove(['file1.txt', 'file2.txt'])
 * ```
 */
const remove = async (source) => {
    const listSource = await glob.default(source, { onlyFiles: false });
    for (const src of listSource) {
        await fse.remove(src);
    }
    echo.default('remove', `removed ${wrapList.default(source)}`);
};

exports.default = remove;
