'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fs = require('fs');
var echo = require('./echo.js');
var getDirname = require('./getDirname.js');
var normalizePath = require('./normalizePath.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');
require('./getName.js');
require('path');
require('./trimEnd-BzcVuRxk.js');

// function
/**
 * Rename a file or directory.
 * @param source A source file or directory.
 * @param target A target file or directory.
 * @returns The promise.
 * @example
 * ```
 * await rename('file.txt', 'file.bak')
 * ```
 */
const rename = async (source, target) => {
    const src = normalizePath.default(source);
    await new Promise(resolve => fs.rename(src, `${getDirname.default(src)}/${target}`, resolve));
    echo.default('file', `renamed '${source}' as '${target}'`);
};

exports.default = rename;
