'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var echo = require('./echo.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');

// function
/**
 * Sleep for a while.
 * @param delay The delay in milliseconds.
 * @returns The promise.
 * @example
 * ```
 * await sleep(1000)
 * ```
 */
const sleep = async (delay = 0) => {
    await new Promise(resolve => setTimeout(resolve, delay));
    if (delay)
        echo.default('sleep', `slept '${delay} ms'`);
};

exports.default = sleep;
