/// <reference types="node" />
import fs from 'fs';
/**
 * Get the file status.
 * @param source A source file or directory.
 * @returns The promise with the file status.
 * @example
 * ```
 * await stat('file.txt')
 * ```
 */
declare const stat: (source: string) => Promise<fs.Stats | null>;
export { stat as default };
