'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fs = require('fs');
var echo = require('./echo.js');
var isExist = require('./isExist-CovHCWU1.js');
var normalizePath = require('./normalizePath.js');
var wrapList = require('./wrapList.js');
require('kleur');
require('./home.js');
require('os');
require('./root.js');
require('./toString.js');
require('./getType.js');
require('fs-extra');
require('./trimEnd-BzcVuRxk.js');
require('./isArguments-Bc7ye9gd.js');
require('path');
require('./toArray.js');

// function
/**
 * Get the file status.
 * @param source A source file or directory.
 * @returns The promise with the file status.
 * @example
 * ```
 * await stat('file.txt')
 * ```
 */
const stat = async (source) => {
    const _source = normalizePath.default(source);
    if (!(await isExist.isExist(_source))) {
        echo.default('file', `${wrapList.default(_source)} not existed`);
        return null;
    }
    return new Promise(resolve => {
        fs.stat(_source, (err, stat) => {
            if (err)
                throw err;
            resolve(stat);
        });
    });
};

exports.default = stat;
