type Result<R, Input> = R extends undefined ? Input extends string | Uint8Array ? Record<string, unknown> | unknown[] : Input extends unknown[] | Record<string, unknown> ? Input : never : R;
/**
 * Convert input to JSON.
 * @param input Input to convert.
 * @returns The JSON.
 * @example
 * ```
 * const json = toJson('{"key": "value"}')
 * console.log(json)
 * //=> { key: 'value' }
 * ```
 */
declare const toJSON: <R = undefined, I = unknown>(input: I) => Result<R, I>;
export { toJSON as default };
