'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var getType = require('./getType.js');

// functions
/**
 * Convert input to string.
 * @param input The input.
 * @returns The string.
 * @example
 * ```
 * toString({ key: 'value' })
 * //=> '{"key":"value"}'
 * toString([1, 2, 3])
 * //=> '[1,2,3]'
 * toString('hello')
 * //=> 'hello'
 * ```
 */
const toString = (input) => {
    if (typeof input === 'string')
        return input;
    if (input instanceof Array)
        return JSON.stringify(input);
    if (getType.default(input) === 'object')
        return JSON.stringify(input);
    if (validateAsHasToString(input))
        return input.toString();
    return String(input);
};
const validateAsHasToString = (input) => typeof input?.toString === 'function';

exports.default = toString;
