type Options = {
    base?: string;
    filename?: string;
};
/**
 * Zip the source to the target.
 * @param source The source file or directory.
 * @param target The target directory.
 * @param option The option.
 * @example
 * ```
 * zip('src', 'dist', 'archive.zip')
 * zip('src', 'dist', { base: 'src', filename: 'archive.zip' })
 * zip(['src', 'public'], 'dist', 'archive.zip')
 * zip(['src', 'public'], 'dist', { base: 'src', filename: 'archive.zip' })
 * ```
 */
declare const zip: (source: string | string[], target?: string, option?: string | Options) => Promise<void>;
export { zip as default };
